# Copyright (C) 2024, UChicago Argonne, LLC
# Licensed under the 3-clause BSD license.  See accompanying LICENSE.txt file
# in the top-level directory.

import os
from pathlib import Path


def test_Octeres_path():
    """this tests to make sure the correct Octeres is being imported."""
    base_path, file_name = os.path.split(__file__)
    octeres_correct_path = Path(os.path.join(base_path, "../../main/python/Octeres/__init__.py")).resolve().as_posix()
    import Octeres

    assert Octeres.__file__ == octeres_correct_path
